﻿@model PagedList<DomainModels.Entities.Financial.DolorWithdrawalRequest>


@{
    ViewBag.Title = "سوابق وجوه پرداختی ارزی به کاربران";
}


@Html.Partial("~/Areas/Admin/Views/Partial/_ShowMessage.cshtml")

<div class="row">
	<div class="col-lg-12">
		<table id="miyazaki" class="tbl-grid" style="width: 100%;">
			<thead>
				<tr>
                    <th>
                        @Html.DisplayNameFor(model => model.Data.First().UserId)
                    </th>
					<th>
						@Html.DisplayNameFor(model => model.Data.First().BtcWalletAddress)
					</th>
					<th>
						@Html.DisplayNameFor(model => model.Data.First().Amount)
					</th>
					<th>
						@Html.DisplayNameFor(model => model.Data.First().BitcoinFee)
					</th>
					<th>
						@Html.DisplayNameFor(model => model.Data.First().PayDescription)
					</th>
					<th>
						@Html.DisplayNameFor(model => model.Data.First().PayDate)
					</th>
					<th>
						@Html.DisplayNameFor(model => model.Data.First().WithdrawalRequestStatusId)
					</th>
				</tr>
			</thead>
			<tbody>
			@foreach (var item in Model.Data)
            {
				<tr>
                    <td>
                        @Html.DisplayFor(modelItem => item.User.FullName) (@Html.DisplayFor(modelItem => item.UserId))
                    </td>
					<td>
						@Html.DisplayFor(modelItem => item.BtcWalletAddress)
					</td>
					<td>
						@Html.DisplayFor(modelItem => item.Amount)
					</td>
					<td>
						@Html.DisplayFor(modelItem => item.BitcoinFee)
					</td>
					<td>
						@Html.DisplayFor(modelItem => item.PayDescription)
					</td>
					<td>
						@Html.ShowDateTime(item.PayDate, ShamsiDateFormatType.ToPersianWithTime)
					</td>
					<td>
                        @Html.ShowWithdrawalRequestStatus(item.WithdrawalRequestStatus)
					</td>
				</tr>
			}
			</tbody>
		</table>

		@Html.ShowEmptyLabel(Model.Data)
        @Html.ShowPagerDescription(Model)
        @Html.ShowPager(Model, Url.Action("Index"))
			
	</div>
</div>
